#include <stdio.h>
#include <pvm3.h>
#include "def.h"

int main(){
    int tids[SLAVENUM];
    int numt;
    int rbuf;
    int rbytes, rmsgtag, rtid;
    char hname[32];
    int i;

    numt = pvm_spawn("slave", NULL, PvmTaskDefault, NULL, SLAVENUM, tids);
    for (i = 0; i<numt;i++) {
	rbuf = pvm_recv(-1, INFO_MSG);
	if(rbuf>=0){
	    pvm_bufinfo(rbuf, &rbytes, &rmsgtag, &rtid);
	    pvm_upkstr(hname);
	    printf("tid: %d, hostname: %s\n", rtid, hname);
	}
    }
    pvm_exit();
    return 0;
}
